import greenfoot.*;
import packages.physics.AdvancedActor;

/**
 * A simple player that moves when certain keys are pressed.
 * 
 * <p>Uses 'AdvancedActor' to have smooth, framerate independent movement (my
 * own class, included in download).
 */
public class Player extends AdvancedActor {

    //speed of the player
    static double speed = 60, turnSpeed = 90;

    //controls
    static String[][] controls = {{"w", "s", "a", "d", "shift"}, {"up", "down", "left", "right", "space"}};

    //colors
    static Color[] colors = {Color.RED, Color.GREEN};

    //number of player
    int type;

    /**
     * Creates a new player with the given index for controls and color.
     * 
     * @param controlIndex The type of player
     */
    public Player(int controlIndex){
        type = controlIndex;

        //Create an image
        GreenfootImage image = new GreenfootImage(20, 20);
        image.setColor(colors[type]);
        image.fill();
        setImage(image);
    }




    //Called once per frame like act method.
    //It's not the act method because of the use of 'AdvancedActor'
    public void update(){
        double boost = Greenfoot.isKeyDown(controls[type][4]) ? 2 : 1;

        //Moves the player
        if(Greenfoot.isKeyDown(controls[type][0])) fixedMove(speed * boost);
        if(Greenfoot.isKeyDown(controls[type][1])) fixedMove(-speed);
        if(Greenfoot.isKeyDown(controls[type][2])) fixedTurn(-turnSpeed);
        if(Greenfoot.isKeyDown(controls[type][3])) fixedTurn(turnSpeed);
    }
}